summaryrefslogtreecommitdiff
path: root/test/run_tests.sh
diff options
context:
space:
mode:
authorToni Uhlig <matzeton@googlemail.com>2021-03-24 15:04:04 +0100
committerToni Uhlig <matzeton@googlemail.com>2021-03-24 15:04:59 +0100
commit38c6904bffdf0512811c81a952700188e75cbf2b (patch)
tree91066066252c0cca564a3ea2457f05e9ad44a2de /test/run_tests.sh
parentef4a22ffac7b9dfd95e836e9c8152310365fec32 (diff)
run_tests.sh checks/print-stderr-on-fail
Signed-off-by: Toni Uhlig <matzeton@googlemail.com>
Diffstat (limited to 'test/run_tests.sh')
-rwxr-xr-xtest/run_tests.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/test/run_tests.sh b/test/run_tests.sh
index acb080f39..8e2a73005 100755
--- a/test/run_tests.sh
+++ b/test/run_tests.sh
@@ -16,6 +16,13 @@ EOF
exit 1
fi
+if [ ! -x "${nDPId_test_EXEC}" ]; then
+cat <<EOF
+Required nDPId-test executable does not exist; ${nDPId_test_EXEC}
+EOF
+exit 1
+fi
+
nDPI_TEST_DIR="${nDPI_SOURCE_ROOT}/tests/pcap"
cat <<EOF
@@ -47,6 +54,9 @@ for pcap_file in $(ls *.pcap*); do
fi
else
printf "%-${LINE_SPACES}s\t%s\n" "${pcap_file}" '[FAIL]'
+ printf '%s\n' '----------------------------------------'
+ printf '%s\n' "-- STDERR of ${pcap_file}"
+ cat "/tmp/nDPId-test-stderr/${pcap_file}.out"
RETVAL=1
fi